Create Release Group

posthttps://app.fossa.com/api/project_group

Used to create a release group. Fails if user's organization is at or over the release group limit.

Request body (required) · application/json

titlestringrequired
licensingPolicyIdinteger
securityPolicyIdinteger
qualityPolicyIdinteger
publicOnPortalboolean
teamsinteger[]
releaseobjectrequired
titlestring
projectsobject[]
projectIdstring
branchstring
revisionIdstring

Responses

200Created the release group
idinteger
titlestring
organizationIdinteger
policyIdnull | integer
securityPolicyIdnull | integer
qualityPolicyIdnull | integer
publicOnPortalboolean
reportCustomTextnull | string
createdAtstring <date-time>
updatedAtstring <date-time>
400Bad request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Release groups are not enabled for your organization, or you do not have permission to create them
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

POST https://app.fossa.com/api/project_group
curl --request POST \  --url 'https://app.fossa.com/api/project_group' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN' \  --header 'content-type: application/json' \  --data '{  "title": "New Release Group",  "licensingPolicyId": 1,  "securityPolicyId": 2,  "qualityPolicyId": null,  "publicOnPortal": true,  "teams": [    101,    102  ],  "release": {    "title": "1.0.0",    "projects": [      {        "projectId": "custom+1/my-repo",        "branch": "main",        "revisionId": "rev001"      },      {        "projectId": "custom+1/my-other-repo",        "branch": "develop",        "revisionId": "rev002"      }    ]  }}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.
application/json